﻿using Hotline.Caching.Interfaces;
using Hotline.Realtimes;
using Hotline.Settings;
using Microsoft.Extensions.DependencyInjection;
using Microsoft.Extensions.Hosting;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Hotline.Application.CallCenter.Calls
{
    public class CurrentWaitNumService : BackgroundService
    {
        private readonly IServiceScopeFactory _serviceScopeFactory;

        public CurrentWaitNumService(IServiceScopeFactory serviceScopeFactory)
        {
            _serviceScopeFactory = serviceScopeFactory;
        }

        protected override async Task ExecuteAsync(CancellationToken stoppingToken)
        {
            using var scope = _serviceScopeFactory.CreateScope();
            var realtimeService = scope.ServiceProvider.GetRequiredService<IRealtimeService>();
            var _systemSettingCacheManager = scope.ServiceProvider.GetRequiredService<ISystemSettingCacheManager>();
            int times = 3000;//5秒
            var callinQueueIds = _systemSettingCacheManager.GetSetting(SettingConstants.CallInQueueId)?.SettingValue.ToList();
            while(!stoppingToken.IsCancellationRequested)
            {
                try
                {

                }
                catch{}
                await Task.Delay(times);
            }


        }
    }
}
